package maputils

import "testing"

func TestFindValueInMap(t *testing.T) {
	testMap := map[string]any{
		"foo1": map[string]any{
			"foo1_sub": []any{
				"value1", 2,
			},
		},
	}

	value, err := FindValueInMap(testMap, "foo1.foo1_sub.[0]")
	if err != nil {
		t.Fatal(err)
	}

	if value.(string) != "value1" {
		t.Fatal("值不一致")
	}

	value, err = FindValueInMap(testMap, "foo1.foo1_sub.[1]")
	if err != nil {
		t.Fatal(err)
	}

	if value.(int) != 2 {
		t.Fatal("值不一致")
	}
}
